/*
 *	itd uses bluetooth low energy to communicate with InfiniTime devices
 *	Copyright (C) 2021 Arsen Musayelyan
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package main

import (
	_ "go.arsenm.dev/itd/cmd/itctl/firmware"
	_ "go.arsenm.dev/itd/cmd/itctl/get"
	_ "go.arsenm.dev/itd/cmd/itctl/notify"
	"go.arsenm.dev/itd/cmd/itctl/root"
	_ "go.arsenm.dev/itd/cmd/itctl/set"
	_ "go.arsenm.dev/itd/cmd/itctl/watch"

	"os"

	"github.com/rs/zerolog"
	"github.com/rs/zerolog/log"
)

func init() {
	log.Logger = log.Output(zerolog.ConsoleWriter{Out: os.Stderr})
}

func main() {
	root.Execute()
}
